Subject: Re: [bug#30886] Libreoffice

From: Thomas Sigurdsen <[email-masked]>
Date: Fri, 13 Apr 2018 22:58:12 +0200

Hi,

Seems this issue is a slow back and forth thing :)

I applied the patch and built it. The build fails before finishing with a
scheme backtrace. At first I thought it didn't finish anything, but it seems
to have finished building libreoffice because I get:

-------
Installation finished, you can now execute:
/gnu/store/hf2a8f4rca9dvw1s6ffcsrbcsp39aj83-libreoffice-5.4.6.2/lib/libreoffice/program/soffice
------

And then the most important part of the error after (I think):

------
phase `install' succeeded after 27.2 seconds
starting phase `bin-and-desktop-install'
Backtrace:
------

The backtrace points to trying to copy a file that might exist... the
following path exists in /tmp/guix-build-...libreoffice..../ - but ofcourse,
the whole path is not in the backtrace:
	0 (copy-file "sysui/desktop/appstream-appdata/libreoffic…" …)

But, I can run the generated binary from the store. And the filechooser
dialog still causes libreoffice to crash:
"(soffice:9332): GLib-GIO-ERROR **: Settings schema
'org.gtk.Settings.FileChooser' is not installed "

On Wed, 04 Apr 2018 14:30:55 +0200
[email-masked] (Ludovic Courtès) wrote:

> Hello Thomas,
> 
> Sorry for the late reply.
> 
> Thomas Sigurdsen <[email-masked]> skribis:
> 
> > First is a change according to a comment. I started looking at these
> > because I wanted to check digital signatures and NSS was needed. Not sure
> > NPAPI is needed for NSS, but it is now enabled as per the old comment.  
> 
> OK.
> 
> > Second is enabling gtk2. This fixes  bug#30642 for me. I think this is
> > because I'm not using gnome and therefore libreoffice can't find what it
> > needs. But Idk.
> >
> > Filechooser dialog and digital signatures work with these 2 changes here.
> >  
> >>From 4623ee9b626efe331dacfc97383d15bd80a9e4f3 Mon Sep 17 00:00:00 2001  
> > From: Tonton <[email-masked]>
> > Date: Tue, 20 Mar 2018 17:23:52 +0100
> > Subject: [PATCH 1/2] The corresponding inputs looks to be packaged (builds
> >  succesfully)
> >
> > Signed-off-by: Tonton <[email-masked]>
> > ---
> >  gnu/packages/libreoffice.scm | 3 +--
> >  1 file changed, 1 insertion(+), 2 deletions(-)
> >
> > diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
> > index 316602adb..77c83b014 100644
> > --- a/gnu/packages/libreoffice.scm
> > +++ b/gnu/packages/libreoffice.scm
> > @@ -1027,8 +1027,7 @@ and to return information on pronunciations,
> > meanings and synonyms.") "--without-fonts"
> >            ;; With java, the build fails since sac.jar is missing.
> >            "--without-java"
> > -          ;; FIXME: Enable once the corresponding inputs are packaged.
> > -          "--without-system-npapi-headers"
> > +          "--with-system-npapi-headers"  
> 
> I suspect this doesn’t have any effect because ‘configure’ complains:
> 
> --8<---------------cut here---------------start------------->8---
> configure: WARNING: unrecognized options: --enable-fast-install,
> --enable-verbose, --with-system-npapi-headers --8<---------------cut
> here---------------end--------------->8---
> 
> Are you sure digital signatures don’t work without this patch?
> 
> >>From ac709f4766668030de58b76e5a3a847796c379e5 Mon Sep 17 00:00:00 2001  
> > From: Tonton <[email-masked]>
> > Date: Tue, 20 Mar 2018 17:24:49 +0100
> > Subject: [PATCH 2/2] Enable gtk2
> >
> > Racionale: on systems without gtk2 the openfile dialog makes openoffice
> > crash. This (enabling gtk2) fixes this.
> >
> > Signed-off-by: Tonton <[email-masked]>  
> 
> This is not OK because we’d rather keep using GTK+3.
> 
> Could you try the patch below and see if it fixes the FileChooser issue?
> 
> Thanks,
> Ludo’.
>